use chrono::Duration;

pub trait DurationTools {
    fn seconds_f64(&self) -> f64;
}

impl DurationTools for Duration {
    fn seconds_f64(&self) -> f64 {
        let millis = self.num_milliseconds();
        millis as f64 / 1_000.0
    }
}
